#! /bin/sh

#
# transform the current directory, assumed to be a ezmlm archive, into a mailbox-valide file on standard output
#
# we assume that the current directory follows the directory structure described in ezmlm(5)
#

# given a message number, set $message to the path
get_msg () {
  local dir
  local file
  dir=$(($i / 100))
  file=`printf %02d $(($i - $dir*100))`
  message=$dir/$file
}


for list in $*
do
  [ -d $list/archive ] || continue
(
  cd $list/archive
  i=1
  get_msg $i
  while [ -r $message ];
  do
    echo -n . >&2
    formail < $message
    i=$(($i + 1))
    get_msg $i
  done
) > `basename $list`.mbox
echo `basename $list`
done
