#! /bin/sh -e

usage() {
  cat <<EOF
Usage: $0 <project>

EOF
  exit 1
}

if [ $# -lt 1 ]; then
  usage
fi

PROJECT="$1"
TRAC_ROOT="/export/trac/${PROJECT}"
SVN_ROOT="/export/svn/${PROJECT}"

svnadmin create ${SVN_ROOT}
(
cd ${SVN_ROOT}
chown -R :www locks db
chown -R www dav
chmod -R g+w locks db
)
trac-admin "${TRAC_ROOT}" initenv "${PROJECT}" sqlite:db/trac.db "${SVN_ROOT}" /usr/local/share/trac/templates
chown :www "${TRAC_ROOT}"/db/ "${TRAC_ROOT}/db/trac.db" "${TRAC_ROOT}/conf/trac.ini"
chmod g+w "${TRAC_ROOT}"/db/ "${TRAC_ROOT}/db/trac.db" "${TRAC_ROOT}/conf/trac.ini"
